Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.rmic
Class DefaultRmicAdapter

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter

All Implemented Interfaces:
  RmicAdapter

Direct Known Subclasses:
  KaffeRmic, SunRmic, WLRmic

public abstract class DefaultRmicAdapter
extends java.lang.Object
implements RmicAdapter

This is the default implementation for the RmicAdapter interface. Currently, this is a cut-and-paste of the original rmic task and DefaultCopmpilerAdapter.

Since:
  Ant 1.4

Constructor Summary
`DefaultRmicAdapter()`

Method Summary
`Path` | `getClasspath()` The CLASSPATH this rmic process will use.
`protected Path` | `getCompileClasspath()` Builds the compilation classpath.
`FileNameMapper` | `getMapper()` This implementation returns a mapper that may return up to two file names.
`Rmic` | `getRmic()`
`protected java.lang.String` | `getSkelClassSuffix()`
`protected java.lang.String` | `getStubClassSuffix()`
`protected java.lang.String` | `getTieClassSuffix()`
`protected void` | `logAndAddFilesToCompile(Commandline cmd)` Logs the compilation parameters, adds the files to compile and logs the &qout;niceSourceList"
`void` | `setRmic(Rmic attributes)` Sets the rmic attributes, which are stored in the Rmic task.
`protected Commandline` | `setupRmicCommand()` setup rmic argument for rmic.
`protected Commandline` | `setupRmicCommand(java.lang.String[] options)` setup rmic argument for rmic.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.taskdefs.rmic.RmicAdapter
`execute`

Constructor Detail

### DefaultRmicAdapter

    public DefaultRmicAdapter()

Method Detail

### setRmic

    public void setRmic(Rmic attributes)

  Description copied from interface: `RmicAdapter`
  Sets the rmic attributes, which are stored in the Rmic task.

  Specified by:
    `setRmic` in interface `RmicAdapter`

### getRmic

    public Rmic getRmic()

### getStubClassSuffix

    protected java.lang.String getStubClassSuffix()

### getSkelClassSuffix

    protected java.lang.String getSkelClassSuffix()

### getTieClassSuffix

    protected java.lang.String getTieClassSuffix()

### getMapper

    public FileNameMapper getMapper()

  This implementation returns a mapper that may return up to two file names.
  - for JRMP it will return *_getStubClassSuffix (and *_getSkelClassSuffix if JDK 1.1 is used)
  - for IDL it will return a random name, causing <rmic> to always recompile.
  - for IIOP it will return _*_getStubClassSuffix for interfaces and _*_getStubClassSuffix for non-interfaces (and determine the interface and create _*_Stub from that).

  Specified by:
    `getMapper` in interface `RmicAdapter`

### getClasspath

    public Path getClasspath()

  The CLASSPATH this rmic process will use.

  Specified by:
    `getClasspath` in interface `RmicAdapter`

### getCompileClasspath

    protected Path getCompileClasspath()

  Builds the compilation classpath.

### setupRmicCommand

    protected Commandline setupRmicCommand()

  setup rmic argument for rmic.

### setupRmicCommand

    protected Commandline setupRmicCommand(java.lang.String[] options)

  setup rmic argument for rmic.

  Parameters:
    `options` - additional parameters needed by a specific implementation.

### logAndAddFilesToCompile

    protected void logAndAddFilesToCompile(Commandline cmd)

  Logs the compilation parameters, adds the files to compile and logs the &qout;niceSourceList"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.